#
# spec file for package xspringi (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xspringi
Copyright:    1991, 1992 Douglas M. DeCarlo
Group:        X11/Amusements
Provides:     xspringies 
Autoreqprov:  on
Version:      1.1
Release:      396
Summary:      A mass and spring simulation system
Source: xspringies-1.1.tar.gz
Patch: xspringies-1.1.dif

%description
Xspringies is a simulator which allows you to interactively create and edit a
system of masses and springs.  The parameters of the masses and springs (such
as mass elasticity and spring K) as well as those of the surrounding system
(such as air viscosity and gravity) can be changed.
Several configuration files can be found in
/usr/X11R6/lib/X11/xspringies/ .

Authors:
--------
    Douglas M. DeCarlo <dmd@gradient.cis.upenn.edu>

SuSE series: fun

%prep
%setup -n xspringies-1.1
%patch

%build
xmkmf -a
make

%install
make install
make install.man

%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%doc README README.LUCS 
%dir /usr/lib/xspringies
/usr/X11R6/bin/xspringies
%doc /usr/X11R6/man/man1/xspringies.1x.gz
/usr/lib/xspringies/2snake.xsp
/usr/lib/xspringies/2x2snake.xsp
/usr/lib/xspringies/3snake.xsp
/usr/lib/xspringies/4snake.xsp
/usr/lib/xspringies/9snake.xsp
/usr/lib/xspringies/ball.xsp
/usr/lib/xspringies/belt-loop.xsp
/usr/lib/xspringies/belt-tire.xsp
/usr/lib/xspringies/belt.xsp
/usr/lib/xspringies/bike.xsp
/usr/lib/xspringies/blanket.xsp
/usr/lib/xspringies/bridge.xsp
/usr/lib/xspringies/diamond-chain.xsp
/usr/lib/xspringies/hammer.xsp
/usr/lib/xspringies/hexball1.xsp
/usr/lib/xspringies/hexball2.xsp
/usr/lib/xspringies/hexball3.xsp
/usr/lib/xspringies/hexhexmesh.xsp
/usr/lib/xspringies/hexmesh.xsp
/usr/lib/xspringies/jello-buttress.xsp
/usr/lib/xspringies/jello-pend.xsp
/usr/lib/xspringies/jello.xsp
/usr/lib/xspringies/jello2.xsp
/usr/lib/xspringies/kalied-maker.xsp
/usr/lib/xspringies/kalied1.xsp
/usr/lib/xspringies/kalied2.xsp
/usr/lib/xspringies/lgrid.xsp
/usr/lib/xspringies/lissajous.xsp
/usr/lib/xspringies/mesh.xsp
/usr/lib/xspringies/nifty.xsp
/usr/lib/xspringies/nifty12.xsp
/usr/lib/xspringies/octanifty.xsp
/usr/lib/xspringies/pend.xsp
/usr/lib/xspringies/pendbees.xsp
/usr/lib/xspringies/pendwave.xsp
/usr/lib/xspringies/person1.xsp
/usr/lib/xspringies/person2.xsp
/usr/lib/xspringies/plane.xsp
/usr/lib/xspringies/psycho.xsp
/usr/lib/xspringies/serp.xsp
/usr/lib/xspringies/snake.xsp
/usr/lib/xspringies/square.xsp
/usr/lib/xspringies/stretchmesh.xsp
/usr/lib/xspringies/super-jello.xsp
/usr/lib/xspringies/tire.xsp
/usr/lib/xspringies/tri4.xsp
/usr/lib/xspringies/trimesh.xsp
/usr/lib/xspringies/urchin.xsp
/usr/lib/xspringies/wave.xsp
/usr/lib/xspringies/worm.xsp
/usr/lib/xspringies/xgrid.xsp
/usr/lib/xspringies/xtrimesh.xsp
/usr/lib/xspringies/zgrid.xsp
/usr/lib/xspringies/zharp.xsp
/usr/lib/xspringies/zharp2.xsp
/usr/lib/xspringies/zingy.xsp
/usr/lib/xspringies/zwave.xsp

%changelog -n xspringi
* Thu Nov 23 2000 - fehr@suse.de
- add group tag
* Fri May 26 2000 - fehr@suse.de
- move documentation to /usr/share/doc/packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
